%global fontname gdouros-alexander
%global fontconf 62-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        3.01
Release:        2%{?dist}
Summary:        A Greek typeface inspired by Alexander Wilson

Group:          User Interface/X
License:        Copyright only
URL:            http://users.teilar.gr/~g1951d/
Source0:        http://users.teilar.gr/~g1951d/Alexander.zip
Source1:        %{name}-fontconfig.conf
Source2:        http://users.teilar.gr/~g1951d/Samples.pdf
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
A text typeface using the Greek letters designed by Alexander Wilson
(1714-1786), a Scottish doctor, astronomer, and typefounder, who established a
typefoundry in Glasgow in 1744. The type was especially designed for an edition
of Homer’s epics, published in 1756-8 by Andrew and Robert Foulis, printers to
the University of Glasgow. A modern revival, Wilson Greek, was designed by
Matthew Carter in 1995. Peter S. Baker is also using Wilson’s Greek type in his
Junicode font for medieval scholars (2007).

Latin and Cyrillic are based on a Garamond typeface. The font covers the
Windows Glyph List, IPA Extensions, Greek Extended, Ancient Greek Numbers,
Byzantine and Ancient Greek Musical Notation, various typographic extras and
several Open Type features (Case-Sensitive Forms, Small Capitals, Subscript,
Superscript, Numerators, Denominators, Fractions, Old Style Figures, Historical
Forms, Stylistic Alternates, Ligatures).

It was created by George Douros.
%prep
%setup -q -c

%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p Alexander.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

install -m 0755 -d %{buildroot}%{_docdir}/%{name}-%{version}
install -m 0644 -p %{SOURCE2} %{buildroot}%{_docdir}/%{name}-%{version}

%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} Alexander.otf

%doc %{_docdir}/%{name}-%{version}/Samples.pdf


%changelog
* Wed Nov 18 2009 Robin Sonefors <ozamosi@flukkost.nu> - 3.01-2
- Fix fontconfig priority and categorization
- Add sample document
* Thu Oct 22 2009 Robin Sonefors <ozamosi@flukkost.nu> - 3.01-1
- Initial packaging
